ON_FixedSizePoolIterator Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_fsp.h>`

## Public Member Functions

| ON_FixedSizePoolIterator (const class ON_FixedSizePool &fsp)
void * | FirstElement ()
void * | FirstElement (size_t element_index)
void * | NextElement ()
void * | FirstBlock (size_t *block_element_count)
void * | NextBlock (size_t *block_element_count)

## Public Attributes

const class ON_FixedSizePool & | m_fsp

## Detailed Description

Definition at line 363 of file opennurbs_fsp.h.

## Constructor & Destructor Documentation

ON_FixedSizePoolIterator::ON_FixedSizePoolIterator | ( | const class ON_FixedSizePool & | fsp | ) |

## Member Function Documentation

void* ON_FixedSizePoolIterator::FirstBlock | ( | size_t * | block_element_count | ) |

void* ON_FixedSizePoolIterator::FirstElement | ( |  | ) |

void* ON_FixedSizePoolIterator::FirstElement | ( | size_t | element_index | ) |

void* ON_FixedSizePoolIterator::NextBlock | ( | size_t * | block_element_count | ) |

void* ON_FixedSizePoolIterator::NextElement | ( |  | ) |

## Member Data Documentation

const class ON_FixedSizePool& ON_FixedSizePoolIterator::m_fsp

Definition at line 368 of file opennurbs_fsp.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_fsp.h